# Class Nip46Request

- Defined in packages/signer/src/signers/nip46.ts:181

#####
Index

### Constructors

constructor

### Properties

id
method
params
promise

### Methods

listen
send

##
Constructors

### constructor

- new Nip46Request(method: string, params: string[]): Nip46Request

- #### Parameters

  - method: string
  - params: string[]

  #### Returns Nip46Request

  - Defined in packages/signer/src/signers/nip46.ts:185

##
Properties

### id

id: string = ...

- Defined in packages/signer/src/signers/nip46.ts:182

### `Readonly` method

method: string

- Defined in packages/signer/src/signers/nip46.ts:185

### `Readonly` params

params: string[]

- Defined in packages/signer/src/signers/nip46.ts:185

### promise

promise: Deferred < Nip46ResponseWithResult , Nip46ResponseWithError > = ...

- Defined in packages/signer/src/signers/nip46.ts:183

##
Methods

### listen

- listen(receiver: Nip46Receiver ): Promise<void>

- #### Parameters

  - receiver: Nip46Receiver

  #### Returns Promise<void>

  - Defined in packages/signer/src/signers/nip46.ts:187

### send

- send(sender: Nip46Sender ): Promise<void>

- #### Parameters

  - sender: Nip46Sender

  #### Returns Promise<void>

  - Defined in packages/signer/src/signers/nip46.ts:211